#include <Widget/Layout/Column/HorizontalSeparator/HorizontalSeparator.hpp>
#include <Widget/Panel/Panel.hpp>

HorizontalSeparator::HorizontalSeparator() :
    Column(
        new Panel(glm::ivec2(1, 2), glm::vec4(0.0f)),
        new Panel(glm::ivec2(1, 1), Color::faded),
        new Panel(glm::ivec2(1, 2), glm::vec4(0.0f))
    )
{}